#include <iostream>
#include <cmath>

using namespace std;

int main()
{
    int n,te,x;
    cin>>n>>x;
    int lm=x,lx=x;
    int rm=x,rx=x; // vece
    for(int i=0;i<n;i++)
    {
        cin>>te;
        if(te>x)
        {
            if(te>rx) rx=te;
            if(rm==x || te<rm) rm=te;
        }
        else if(te<x)
        {
            if(te<lx) lx=te;
            if(lm==x || te>lm) lm=te;
        }
    }/*
    cout<<"lx lm rm rx"<<endl;
    cout<<lx<<" "<<lm<<" "<<rm<<" "<<rx<<endl;
    */
    if(abs(x-lx)<abs(rx-x))
    {
        int temp=abs(x-lx)+abs(rx-lx);
        cout<<temp;
    }
    else
    {
        int temp=abs(rx-x)+abs(rx-lx);
        cout<<temp;
    }
    /*
    for(int i=0;i<ac;i++)
    {
        for(int j=i;j<ac;j++)
        {
            if(a[j]<a[i])
            {
                int temp = a[j];
                a[j] = a[i];
                a[i] = temp;
            }
        }
    }
    for(int i=0;i<rc;i++)
    {
        for(int j=i;j<rc;j++)
        {
            if(r[j]<r[i])
            {
                int temp = r[j];
                r[j] = r[i];
                r[i] = temp;
            }
        }
    }*/
    return 0;
}